
*{box-sizing:border-box}
p{
  margin:0px
}
body{display:flex;
  justify-content:center;
  align-items:center;
  height:100vh;}

#main{
  display:flex;
  justify-content:center;
  align-items:center;
   border:10px solid #1B2E3E;
  border-radius:50%;
  width:30vw;
  height:30vw;
  background-color:#0F3146;
  box-shadow:0px 0px 20px 8px black
}
#app{
 padding:2px;
  width:21vw;
  height:21vw;
  display:grid;
  grid-template-columns:repeat(3,7vw)
}
#break, #session{
  display:grid;
  grid-template-columns:100%;
  grid-template-rows:repeat(5,20%);
  grid-template-areas:"bt"
                      "bi"
                      "bn"
                      "bd"
                      "."
}
#break-label, #session-label{grid-area:bt}
#break-decrement, #session-decrement{grid-area:bd}
#break-increment,#session-increment{grid-area:bi}
#break-length, #session-length{grid-area:bn;
}
#break-label{
  transform:rotate(-60deg) translateY(-1.5vw) translateX(-7vw)
}
#session-label{transform:rotate(60deg) translateY(-1.5vw) translateX(7vw)}

  
#session{
}

#clock{
    display:grid;
  grid-template-columns:repeat(2,50%);
  grid-template-rows:repeat(3,1fr);
  grid-template-areas:"clock-m clock-m"
                      "display display"
                      "play-pause reset";
                      
}
#timer-label{
grid-area:clock-m;
align-items:flex-start;
margin:0px;
font-size:3vw;
font-weight:bold;
color:#f9f9f9}
#start_stop{
  grid-area:play-pause;}
#reset{
grid-area:reset;}
#time-left{
grid-area:display;
width:100%;
height:80%;
font-size:2.8vw}

.button{
  display:flex;
  justify-content:center;
  align-items:center;
  margin:auto;
  border:3px solid #545454;
  border-radius:50%;
  width:3vw;
  height:3vw;
  background-color:#344259;
  color:white;
  font-size:2vw;
}

.button:active{
  box-shadow:0px 0px 10px 1px white
}
.display{
  display:flex;
  justify-content:center;
  align-items:center;
  margin:auto;
  width:60%;
  height:3vw;
  background-color:#373F5B;
  color:#a4a6ad;
  font-size:2vw;
  border-radius:8px;
  font-family: 'Abel', sans-serif;
  border:3px solid #4D5C8B
}
.title{
   display:flex;
  justify-content:center;
  align-items:center;
  margin:auto;
  text-align:center;
  font-size:1.5vw;
  color:#e7e7e7;
  
}
#fsbalbuena{
position: fixed;
left:5px;
top:5px
}

@media (max-width:500px){
 #main{
    width:60vh;
    height:60vh;
  }
  #app{
    width:42vh;
    height:42vh;
    grid-template-columns:repeat(3,14vh)
  }
  #break-label{
    transform:rotate(-60deg) translateY(-3vh) translateX(-14vh)
  }
  #session-label{transform:rotate(60deg) translateY(-3vh) translateX(14vh)}
  
  #timer-label{
    font-size:6vh;}
  
  #time-left{
  width:100%;
  height:80%;
  font-size:5.6vh}
  
  .button{
    width:6vh;
    height:6vh;
    font-size:4vh;
  }
  
  .display{
    width:60%;
    height:6vh;
    font-size:4vh;
  }
  .title{
  font-size:3vh;
  
}
  
}